## ocaml-doc 3.04-4

=== examples/Makefile ===
# Makefile generated by imake - do not edit!
# $XConsortium: imake.c,v 1.91 95/01/12 16:15:47 kaleb Exp $

LIBDIR=/usr/local/lib/ocaml/
CAMLC=ocamlc
CAMLCOPT=ocamlopt
COMPFLAGS=-g
COMPFLAGSOPT=
CAMLLIBR=ocamllibr
CAMLLEX=ocamllex
CAMLYACC=ocamlyacc
CAMLDEP=ocamldep
CPP=/lib/cpp -P
RM=rm -f
CP=cp -p -f
TOP=.
CONFIG=$(TOP)/config

all::

# (begin Imakefile)

all::
	@-echo "-- Making all in" asl; cd asl; make all

allopt : opt

opt::
	@-echo "-- Making opt in" asl; cd asl; make opt

clean::
	@-echo "-- Making clean in" asl; cd asl; make clean

makefiles::
	@-echo "-- Making makefiles in" asl; cd asl; make TOP=../$(TOP) makefiles

all::
	@-echo "-- Making all in" basics; cd basics; make all

allopt : opt

opt::
	@-echo "-- Making opt in" basics; cd basics; make opt

clean::
	@-echo "-- Making clean in" basics; cd basics; make clean

makefiles::
	@-echo "-- Making makefiles in" basics; cd basics; make TOP=../$(TOP) makefiles

all::
	@-echo "-- Making all in" calc; cd calc; make all

allopt : opt

opt::
	@-echo "-- Making opt in" calc; cd calc; make opt

clean::
	@-echo "-- Making clean in" calc; cd calc; make clean

makefiles::
	@-echo "-- Making makefiles in" calc; cd calc; make TOP=../$(TOP) makefiles

all::
	@-echo "-- Making all in" camltk; echo "(This program requires the CamlTk library;"; echo " if you haven't installed it, compilation will fail.)"; cd camltk; make all

opt::
	@-echo "-- Making opt in" camltk; echo "(This program requires the CamlTk library compiled to native code;"; echo " if you haven't installed it, compilation will fail.)"; cd camltk; make opt

clean::
	@-echo "-- Making clean in" camltk; cd camltk; make clean

makefiles::
	@-echo "-- Making makefiles in" camltk; cd camltk; make TOP=../$(TOP) makefiles

all::
	@-echo "-- Making all in" colwheel; echo "(This program requires the libgraph library;"; echo " if you haven't installed it, compilation will fail.)"; cd colwheel; make all

opt::
	@-echo "-- Making opt in" colwheel; echo "(This program requires the libgraph library compiled to the native code;"; echo " if you haven't installed it, compilation will fail.)"; cd colwheel; make opt

clean::
	@-echo "-- Making clean in" colwheel; cd colwheel; make clean

makefiles::
	@-echo "-- Making makefiles in" colwheel; cd colwheel; make TOP=../$(TOP) makefiles

all::
	@-echo "-- Making all in" compress; cd compress; make all

allopt : opt

opt::
	@-echo "-- Making opt in" compress; cd compress; make opt

clean::
	@-echo "-- Making clean in" compress; cd compress; make clean

makefiles::
	@-echo "-- Making makefiles in" compress; cd compress; make TOP=../$(TOP) makefiles

all::
	@-echo "-- Making all in" demonstr; cd demonstr; make all

allopt : opt

opt::
	@-echo "-- Making opt in" demonstr; cd demonstr; make opt

clean::
	@-echo "-- Making clean in" demonstr; cd demonstr; make clean

makefiles::
	@-echo "-- Making makefiles in" demonstr; cd demonstr; make TOP=../$(TOP) makefiles

all::
	@-echo "-- Making all in" docteur; cd docteur; make all

allopt : opt

opt::
	@-echo "-- Making opt in" docteur; cd docteur; make opt

clean::
	@-echo "-- Making clean in" docteur; cd docteur; make clean

makefiles::
	@-echo "-- Making makefiles in" docteur; cd docteur; make TOP=../$(TOP) makefiles

all::
	@-echo "-- Making all in" doctor; cd doctor; make all

allopt : opt

opt::
	@-echo "-- Making opt in" doctor; cd doctor; make opt

clean::
	@-echo "-- Making clean in" doctor; cd doctor; make clean

makefiles::
	@-echo "-- Making makefiles in" doctor; cd doctor; make TOP=../$(TOP) makefiles

all::
	@-echo "-- Making all in" grep; cd grep; make all

allopt : opt

opt::
	@-echo "-- Making opt in" grep; cd grep; make opt

clean::
	@-echo "-- Making clean in" grep; cd grep; make clean

makefiles::
	@-echo "-- Making makefiles in" grep; cd grep; make TOP=../$(TOP) makefiles

all::
	@-echo "-- Making all in" hanoi; cd hanoi; make all

allopt : opt

opt::
	@-echo "-- Making opt in" hanoi; cd hanoi; make opt

clean::
	@-echo "-- Making clean in" hanoi; cd hanoi; make clean

makefiles::
	@-echo "-- Making makefiles in" hanoi; cd hanoi; make TOP=../$(TOP) makefiles

all::
	@-echo "-- Making all in" kb; cd kb; make all

allopt : opt

opt::
	@-echo "-- Making opt in" kb; cd kb; make opt

clean::
	@-echo "-- Making clean in" kb; cd kb; make clean

makefiles::
	@-echo "-- Making makefiles in" kb; cd kb; make TOP=../$(TOP) makefiles

all::
	@-echo "-- Making all in" minicaml; cd minicaml; make all

allopt : opt

opt::
	@-echo "-- Making opt in" minicaml; cd minicaml; make opt

clean::
	@-echo "-- Making clean in" minicaml; cd minicaml; make clean

makefiles::
	@-echo "-- Making makefiles in" minicaml; cd minicaml; make TOP=../$(TOP) makefiles

all::
	@-echo "-- Making all in" minilogo; echo "(This program requires the libgraph library;"; echo " if you haven't installed it, compilation will fail.)"; cd minilogo; make all

opt::
	@-echo "-- Making opt in" minilogo; echo "(This program requires the libgraph library compiled to the native code;"; echo " if you haven't installed it, compilation will fail.)"; cd minilogo; make opt

clean::
	@-echo "-- Making clean in" minilogo; cd minilogo; make clean

makefiles::
	@-echo "-- Making makefiles in" minilogo; cd minilogo; make TOP=../$(TOP) makefiles

all::
	@-echo "-- Making all in" pascal; cd pascal; make all

allopt : opt

opt::
	@-echo "-- Making opt in" pascal; cd pascal; make opt

clean::
	@-echo "-- Making clean in" pascal; cd pascal; make clean

makefiles::
	@-echo "-- Making makefiles in" pascal; cd pascal; make TOP=../$(TOP) makefiles

all::
	@-echo "-- Making all in" picomach; cd picomach; make all

allopt : opt

opt::
	@-echo "-- Making opt in" picomach; cd picomach; make opt

clean::
	@-echo "-- Making clean in" picomach; cd picomach; make clean

makefiles::
	@-echo "-- Making makefiles in" picomach; cd picomach; make TOP=../$(TOP) makefiles

all::
	@-echo "-- Making all in" showsort; echo "(This program requires the libgraph library;"; echo " if you haven't installed it, compilation will fail.)"; cd showsort; make all

opt::
	@-echo "-- Making opt in" showsort; echo "(This program requires the libgraph library compiled to the native code;"; echo " if you haven't installed it, compilation will fail.)"; cd showsort; make opt

clean::
	@-echo "-- Making clean in" showsort; cd showsort; make clean

makefiles::
	@-echo "-- Making makefiles in" showsort; cd showsort; make TOP=../$(TOP) makefiles

all::
	@-echo "-- Making all in" spirals; echo "(This program requires the libgraph library;"; echo " if you haven't installed it, compilation will fail.)"; cd spirals; make all

opt::
	@-echo "-- Making opt in" spirals; echo "(This program requires the libgraph library compiled to the native code;"; echo " if you haven't installed it, compilation will fail.)"; cd spirals; make opt

clean::
	@-echo "-- Making clean in" spirals; cd spirals; make clean

makefiles::
	@-echo "-- Making makefiles in" spirals; cd spirals; make TOP=../$(TOP) makefiles

# (end Imakefile)

clean::
	$(RM) *.cmi *.cmix *.cmo *.cmx *.o *~ *.opt #*#

beforedepend::

makefile: beforedepend
	imake -I$(CONFIG) -DTOPDIR=$(TOP)
	$(CAMLDEP) *.mli *.ml >> Makefile

makefiles:: makefile

.SUFFIXES: .mli .cmi .ml .cmo .cmx

.mli.cmi:
	$(CAMLC) $(COMPFLAGS) -c $<

.ml.cmo:
	$(CAMLC) $(COMPFLAGS) -c $<

.ml.cmx:
	$(CAMLCOPT) $(COMPFLAGSOPT) -c $<

# Generated dependencies below
