=== examples/asl/Makefile ===
# Makefile generated by imake - do not edit!
# $XConsortium: imake.c,v 1.91 95/01/12 16:15:47 kaleb Exp $

LIBDIR=/usr/local/lib/ocaml/
CAMLC=ocamlc
CAMLCOPT=ocamlopt
COMPFLAGS=-g -pp camlp4o
COMPFLAGSOPT=-pp camlp4o
CAMLLIBR=ocamllibr
CAMLLEX=ocamllex
CAMLYACC=ocamlyacc
CAMLDEP=ocamldep
CPP=/lib/cpp -P
RM=rm -f
CP=cp -p -f
TOP=../.
CONFIG=$(TOP)/config

all::

# (begin Imakefile)

all::asl

asl: prel.cmo asl.cmo token.cmo parser.cmo semant.cmo typing.cmo main.cmo run.cmo
	$(CAMLC) $(LINKFLAGS)  prel.cmo asl.cmo token.cmo parser.cmo semant.cmo typing.cmo main.cmo run.cmo -o asl

clean::
	$(RM) asl

opt::asl.opt

asl.opt: prel.cmx asl.cmx token.cmx parser.cmx semant.cmx typing.cmx main.cmx run.cmx
	$(CAMLCOPT) $(LINKFLAGSOPT)  prel.cmx asl.cmx token.cmx parser.cmx semant.cmx typing.cmx main.cmx run.cmx -o asl.opt
	$(CP) asl.opt asl

clean::
	$(RM) asl

# (end Imakefile)

clean::
	$(RM) *.cmi *.cmix *.cmo *.cmx *.o *~ *.opt #*#

beforedepend::

makefile: beforedepend
	imake -I$(CONFIG) -DTOPDIR=$(TOP)
	$(CAMLDEP) *.mli *.ml >> Makefile

makefiles:: makefile

.SUFFIXES: .mli .cmi .ml .cmo .cmx

.mli.cmi:
	$(CAMLC) $(COMPFLAGS) -c $<

.ml.cmo:
	$(CAMLC) $(COMPFLAGS) -c $<

.ml.cmx:
	$(CAMLCOPT) $(COMPFLAGSOPT) -c $<

# Generated dependencies below

parser.cmi: token.cmi 
asl.cmo: asl.cmi 
asl.cmx: asl.cmi 
loadall.cmo: main.cmi 
loadall.cmx: main.cmx 
main.cmo: asl.cmi parser.cmi prel.cmi semant.cmo token.cmi typing.cmo \
    main.cmi 
main.cmx: asl.cmx parser.cmx prel.cmx semant.cmx token.cmx typing.cmx \
    main.cmi 
parser.cmo: asl.cmi prel.cmi token.cmi parser.cmi 
parser.cmx: asl.cmx prel.cmx token.cmx parser.cmi 
prel.cmo: prel.cmi 
prel.cmx: prel.cmi 
run.cmo: main.cmi 
run.cmx: main.cmx 
semant.cmo: parser.cmi 
semant.cmx: parser.cmx 
token.cmo: token.cmi 
token.cmx: token.cmi 
typing.cmo: parser.cmi prel.cmi 
typing.cmx: parser.cmx prel.cmx
