=== examples/basics/Makefile ===
# Makefile generated by imake - do not edit!
# $XConsortium: imake.c,v 1.91 95/01/12 16:15:47 kaleb Exp $

LIBDIR=/usr/local/lib/ocaml/
CAMLC=ocamlc
CAMLCOPT=ocamlopt
COMPFLAGS=-g
COMPFLAGSOPT=
CAMLLIBR=ocamllibr
CAMLLEX=ocamllex
CAMLYACC=ocamlyacc
CAMLDEP=ocamldep
CPP=/lib/cpp -P
RM=rm -f
CP=cp -p -f
TOP=../.
CONFIG=$(TOP)/config

all::

# (begin Imakefile)

all::hello

hello: hello.cmo
	$(CAMLC) $(LINKFLAGS)  hello.cmo -o hello

clean::
	$(RM) hello

all::greeting

greeting: greeting.cmo
	$(CAMLC) $(LINKFLAGS)  greeting.cmo -o greeting

clean::
	$(RM) greeting

all::square

square: square.cmo
	$(CAMLC) $(LINKFLAGS)  square.cmo -o square

clean::
	$(RM) square

all::fib

fib: fib.cmo
	$(CAMLC) $(LINKFLAGS)  fib.cmo -o fib

clean::
	$(RM) fib

all::wc

wc: wc.cmo
	$(CAMLC) $(LINKFLAGS)  wc.cmo -o wc

clean::
	$(RM) wc

all::wc_unix

wc_unix: wc_unix.cmo
	$(CAMLC) $(LINKFLAGS)  wc_unix.cmo -o wc_unix

clean::
	$(RM) wc_unix

all::sieve

sieve: sieve.cmo
	$(CAMLC) $(LINKFLAGS)  sieve.cmo -o sieve

clean::
	$(RM) sieve

all::queens

queens: queens.cmo
	$(CAMLC) $(LINKFLAGS)  queens.cmo -o queens

clean::
	$(RM) queens

opt::queens.opt

queens.opt: queens.cmx
	$(CAMLCOPT) $(LINKFLAGSOPT)  queens.cmx -o queens.opt
	$(CP) queens.opt queens

clean::
	$(RM) queens

opt::fib.opt

fib.opt: fib.cmx
	$(CAMLCOPT) $(LINKFLAGSOPT)  fib.cmx -o fib.opt
	$(CP) fib.opt fib

clean::
	$(RM) fib

opt::wc.opt

wc.opt: wc.cmx
	$(CAMLCOPT) $(LINKFLAGSOPT)  wc.cmx -o wc.opt
	$(CP) wc.opt wc

clean::
	$(RM) wc

opt::wc_unix.opt

wc_unix.opt: wc_unix.cmx
	$(CAMLCOPT) $(LINKFLAGSOPT)  wc_unix.cmx -o wc_unix.opt
	$(CP) wc_unix.opt wc_unix

clean::
	$(RM) wc_unix

opt::sieve.opt

sieve.opt: sieve.cmx
	$(CAMLCOPT) $(LINKFLAGSOPT)  sieve.cmx -o sieve.opt
	$(CP) sieve.opt sieve

clean::
	$(RM) sieve

all::strstr

strstr: strstr.cmo
	$(CAMLC) $(LINKFLAGS)  strstr.cmo -o strstr

clean::
	$(RM) strstr

opt::strstr.opt

strstr.opt: strstr.cmx
	$(CAMLCOPT) $(LINKFLAGSOPT)  strstr.cmx -o strstr.opt
	$(CP) strstr.opt strstr

clean::
	$(RM) strstr

all::soli

soli: soli.cmo
	$(CAMLC) $(LINKFLAGS)  soli.cmo -o soli

clean::
	$(RM) soli

opt::soli.opt

soli.opt: soli.cmx
	$(CAMLCOPT) $(LINKFLAGSOPT)  soli.cmx -o soli.opt
	$(CP) soli.opt soli

clean::
	$(RM) soli

# (end Imakefile)

clean::
	$(RM) *.cmi *.cmix *.cmo *.cmx *.o *~ *.opt #*#

beforedepend::

makefile: beforedepend
	imake -I$(CONFIG) -DTOPDIR=$(TOP)
	$(CAMLDEP) *.mli *.ml >> Makefile

makefiles:: makefile

.SUFFIXES: .mli .cmi .ml .cmo .cmx

.mli.cmi:
	$(CAMLC) $(COMPFLAGS) -c $<

.ml.cmo:
	$(CAMLC) $(COMPFLAGS) -c $<

.ml.cmx:
	$(CAMLCOPT) $(COMPFLAGSOPT) -c $<

# Generated dependencies below
