=== examples/camltk/Makefile ===
# Makefile generated by imake - do not edit!
# $XConsortium: imake.c,v 1.91 95/01/12 16:15:47 kaleb Exp $

LIBDIR=/usr/local/lib/ocaml/
CAMLC=ocamlc
CAMLCOPT=ocamlopt
COMPFLAGS=-g
COMPFLAGSOPT=
CAMLLIBR=ocamllibr
CAMLLEX=ocamllex
CAMLYACC=ocamlyacc
CAMLDEP=ocamldep
CPP=/lib/cpp -P
RM=rm -f
CP=cp -p -f
TOP=../.
CONFIG=$(TOP)/config

all::

# (begin Imakefile)

COMPFLAGS=-I +camltk
LINKFLAGS=$(COMPFLAGS)

all::start

start: start.cmo
	$(CAMLC) $(LINKFLAGS) -custom camltk.cma  start.cmo -o start

clean::
	$(RM) start

COMPFLAGSOPT=-I +camltk
LINKFLAGSOPT=$(COMPFLAGSOPT)

opt::start.opt

start.opt: start.cmx
	$(CAMLCOPT) $(LINKFLAGSOPT) camltk.cmxa  start.cmx -o start.opt
	$(CP) start.opt start

clean::
	$(RM) start

COMPFLAGS=-I +camltk
LINKFLAGS=$(COMPFLAGS)

all::hello

hello: hello.cmo
	$(CAMLC) $(LINKFLAGS) -custom camltk.cma  hello.cmo -o hello

clean::
	$(RM) hello

COMPFLAGSOPT=-I +camltk
LINKFLAGSOPT=$(COMPFLAGSOPT)

opt::hello.opt

hello.opt: hello.cmx
	$(CAMLCOPT) $(LINKFLAGSOPT) camltk.cmxa  hello.cmx -o hello.opt
	$(CP) hello.opt hello

clean::
	$(RM) hello

COMPFLAGS=-I +camltk
LINKFLAGS=$(COMPFLAGS)

all::hello_quit

hello_quit: hello_quit.cmo
	$(CAMLC) $(LINKFLAGS) -custom camltk.cma  hello_quit.cmo -o hello_quit

clean::
	$(RM) hello_quit

COMPFLAGSOPT=-I +camltk
LINKFLAGSOPT=$(COMPFLAGSOPT)

opt::hello_quit.opt

hello_quit.opt: hello_quit.cmx
	$(CAMLCOPT) $(LINKFLAGSOPT) camltk.cmxa  hello_quit.cmx -o hello_quit.opt
	$(CP) hello_quit.opt hello_quit

clean::
	$(RM) hello_quit

COMPFLAGS=-I +camltk
LINKFLAGS=$(COMPFLAGS)

all::addition

addition: addition.cmo
	$(CAMLC) $(LINKFLAGS) -custom camltk.cma  addition.cmo -o addition

clean::
	$(RM) addition

COMPFLAGSOPT=-I +camltk
LINKFLAGSOPT=$(COMPFLAGSOPT)

opt::addition.opt

addition.opt: addition.cmx
	$(CAMLCOPT) $(LINKFLAGSOPT) camltk.cmxa  addition.cmx -o addition.opt
	$(CP) addition.opt addition

clean::
	$(RM) addition

COMPFLAGS=-I +camltk
LINKFLAGS=$(COMPFLAGS)

all::rgb

rgb: rgb.cmo
	$(CAMLC) $(LINKFLAGS) -custom camltk.cma  rgb.cmo -o rgb

clean::
	$(RM) rgb

COMPFLAGSOPT=-I +camltk
LINKFLAGSOPT=$(COMPFLAGSOPT)

opt::rgb.opt

rgb.opt: rgb.cmx
	$(CAMLCOPT) $(LINKFLAGSOPT) camltk.cmxa  rgb.cmx -o rgb.opt
	$(CP) rgb.opt rgb

clean::
	$(RM) rgb

COMPFLAGS=-I +camltk
LINKFLAGS=$(COMPFLAGS)

all::convert_euro

convert_euro: convert_euro.cmo
	$(CAMLC) $(LINKFLAGS) -custom camltk.cma  convert_euro.cmo -o convert_euro

clean::
	$(RM) convert_euro

COMPFLAGSOPT=-I +camltk
LINKFLAGSOPT=$(COMPFLAGSOPT)

opt::convert_euro.opt

convert_euro.opt: convert_euro.cmx
	$(CAMLCOPT) $(LINKFLAGSOPT) camltk.cmxa  convert_euro.cmx -o convert_euro.opt
	$(CP) convert_euro.opt convert_euro

clean::
	$(RM) convert_euro

COMPFLAGS=-I +camltk
LINKFLAGS=$(COMPFLAGS)

all::convert

convert: convert.cmo
	$(CAMLC) $(LINKFLAGS) -custom camltk.cma  convert.cmo -o convert

clean::
	$(RM) convert

COMPFLAGSOPT=-I +camltk
LINKFLAGSOPT=$(COMPFLAGSOPT)

opt::convert.opt

convert.opt: convert.cmx
	$(CAMLCOPT) $(LINKFLAGSOPT) camltk.cmxa  convert.cmx -o convert.opt
	$(CP) convert.opt convert

clean::
	$(RM) convert

COMPFLAGS=-I +camltk
LINKFLAGS=$(COMPFLAGS)

all::camleyes

camleyes: camleyes.cmo
	$(CAMLC) $(LINKFLAGS) -custom camltk.cma  camleyes.cmo -o camleyes

clean::
	$(RM) camleyes

COMPFLAGSOPT=-I +camltk
LINKFLAGSOPT=$(COMPFLAGSOPT)

opt::camleyes.opt

camleyes.opt: camleyes.cmx
	$(CAMLCOPT) $(LINKFLAGSOPT) camltk.cmxa  camleyes.cmx -o camleyes.opt
	$(CP) camleyes.opt camleyes

clean::
	$(RM) camleyes

COMPFLAGS=-I +camltk
LINKFLAGS=$(COMPFLAGS)

all::taquin

taquin: taquin.cmo
	$(CAMLC) $(LINKFLAGS) -custom camltk.cma  taquin.cmo -o taquin

clean::
	$(RM) taquin

COMPFLAGSOPT=-I +camltk
LINKFLAGSOPT=$(COMPFLAGSOPT)

opt::taquin.opt

taquin.opt: taquin.cmx
	$(CAMLCOPT) $(LINKFLAGSOPT) camltk.cmxa  taquin.cmx -o taquin.opt
	$(CP) taquin.opt taquin

clean::
	$(RM) taquin

COMPFLAGS=-I +camltk
LINKFLAGS=$(COMPFLAGS)

all::tetris

tetris: tetris.cmo
	$(CAMLC) $(LINKFLAGS) -custom camltk.cma  tetris.cmo -o tetris

clean::
	$(RM) tetris

COMPFLAGSOPT=-I +camltk
LINKFLAGSOPT=$(COMPFLAGSOPT)

opt::tetris.opt

tetris.opt: tetris.cmx
	$(CAMLCOPT) $(LINKFLAGSOPT) camltk.cmxa  tetris.cmx -o tetris.opt
	$(CP) tetris.opt tetris

clean::
	$(RM) tetris

# (end Imakefile)

clean::
	$(RM) *.cmi *.cmix *.cmo *.cmx *.o *~ *.opt #*#

beforedepend::

makefile: beforedepend
	imake -I$(CONFIG) -DTOPDIR=$(TOP)
	$(CAMLDEP) *.mli *.ml >> Makefile

makefiles:: makefile

.SUFFIXES: .mli .cmi .ml .cmo .cmx

.mli.cmi:
	$(CAMLC) $(COMPFLAGS) -c $<

.ml.cmo:
	$(CAMLC) $(COMPFLAGS) -c $<

.ml.cmx:
	$(CAMLCOPT) $(COMPFLAGSOPT) -c $<

# Generated dependencies below
