=== examples/compress/Makefile ===
# Makefile generated by imake - do not edit!
# $XConsortium: imake.c,v 1.91 95/01/12 16:15:47 kaleb Exp $

LIBDIR=/usr/local/lib/ocaml/
CAMLC=ocamlc
CAMLCOPT=ocamlopt
COMPFLAGS=-g
COMPFLAGSOPT=
CAMLLIBR=ocamllibr
CAMLLEX=ocamllex
CAMLYACC=ocamlyacc
CAMLDEP=ocamldep
CPP=/lib/cpp -P
RM=rm -f
CP=cp -p -f
TOP=../.
CONFIG=$(TOP)/config

all::

# (begin Imakefile)

all::compr

compr: esbit.cmo fileprio.cmo huffman.cmo compr.cmo
	$(CAMLC) $(LINKFLAGS)  esbit.cmo fileprio.cmo huffman.cmo compr.cmo -o compr

clean::
	$(RM) compr

all::decompr

decompr: esbit.cmo fileprio.cmo huffman.cmo decompr.cmo
	$(CAMLC) $(LINKFLAGS)  esbit.cmo fileprio.cmo huffman.cmo decompr.cmo -o decompr

clean::
	$(RM) decompr

opt::compr.opt

compr.opt: esbit.cmx fileprio.cmx huffman.cmx compr.cmx
	$(CAMLCOPT) $(LINKFLAGSOPT)  esbit.cmx fileprio.cmx huffman.cmx compr.cmx -o compr.opt
	$(CP) compr.opt compr

clean::
	$(RM) compr

opt::decompr.opt

decompr.opt: esbit.cmx fileprio.cmx huffman.cmx decompr.cmx
	$(CAMLCOPT) $(LINKFLAGSOPT)  esbit.cmx fileprio.cmx huffman.cmx decompr.cmx -o decompr.opt
	$(CP) decompr.opt decompr

clean::
	$(RM) decompr

# (end Imakefile)

clean::
	$(RM) *.cmi *.cmix *.cmo *.cmx *.o *~ *.opt #*#

beforedepend::

makefile: beforedepend
	imake -I$(CONFIG) -DTOPDIR=$(TOP)
	$(CAMLDEP) *.mli *.ml >> Makefile

makefiles:: makefile

.SUFFIXES: .mli .cmi .ml .cmo .cmx

.mli.cmi:
	$(CAMLC) $(COMPFLAGS) -c $<

.ml.cmo:
	$(CAMLC) $(COMPFLAGS) -c $<

.ml.cmx:
	$(CAMLCOPT) $(COMPFLAGSOPT) -c $<

# Generated dependencies below

compr.cmo: huffman.cmi 
compr.cmx: huffman.cmx 
decompr.cmo: huffman.cmi 
decompr.cmx: huffman.cmx 
esbit.cmo: esbit.cmi 
esbit.cmx: esbit.cmi 
fileprio.cmo: fileprio.cmi 
fileprio.cmx: fileprio.cmi 
huffman.cmo: esbit.cmi fileprio.cmi huffman.cmi 
huffman.cmx: esbit.cmx fileprio.cmx huffman.cmi 
loadall.cmo: compr.cmo 
loadall.cmx: compr.cmx
