=== examples/demonstr/Makefile ===
# Makefile generated by imake - do not edit!
# $XConsortium: imake.c,v 1.91 95/01/12 16:15:47 kaleb Exp $

LIBDIR=/usr/local/lib/ocaml/
CAMLC=ocamlc
CAMLCOPT=ocamlopt
COMPFLAGS=-g -pp camlp4o
COMPFLAGSOPT=-pp camlp4o
CAMLLIBR=ocamllibr
CAMLLEX=ocamllex
CAMLYACC=ocamlyacc
CAMLDEP=ocamldep
CPP=/lib/cpp -P
RM=rm -f
CP=cp -p -f
TOP=../.
CONFIG=$(TOP)/config

all::

# (begin Imakefile)

all::demonstr

demonstr: prop.cmo lexuniv.cmo asynt.cmo demo.cmo
	$(CAMLC) $(LINKFLAGS)  prop.cmo lexuniv.cmo asynt.cmo demo.cmo -o demonstr

clean::
	$(RM) demonstr

opt::demonstr.opt

demonstr.opt: prop.cmx lexuniv.cmx asynt.cmx demo.cmx
	$(CAMLCOPT) $(LINKFLAGSOPT)  prop.cmx lexuniv.cmx asynt.cmx demo.cmx -o demonstr.opt
	$(CP) demonstr.opt demonstr

clean::
	$(RM) demonstr

# (end Imakefile)

clean::
	$(RM) *.cmi *.cmix *.cmo *.cmx *.o *~ *.opt #*#

beforedepend::

makefile: beforedepend
	imake -I$(CONFIG) -DTOPDIR=$(TOP)
	$(CAMLDEP) *.mli *.ml >> Makefile

makefiles:: makefile

.SUFFIXES: .mli .cmi .ml .cmo .cmx

.mli.cmi:
	$(CAMLC) $(COMPFLAGS) -c $<

.ml.cmo:
	$(CAMLC) $(COMPFLAGS) -c $<

.ml.cmx:
	$(CAMLCOPT) $(COMPFLAGSOPT) -c $<

# Generated dependencies below

asynt.cmi: prop.cmi 
asynt.cmo: lexuniv.cmi prop.cmi asynt.cmi 
asynt.cmx: lexuniv.cmx prop.cmx asynt.cmi 
demo.cmo: asynt.cmi prop.cmi 
demo.cmx: asynt.cmx prop.cmx 
lexuniv.cmo: lexuniv.cmi 
lexuniv.cmx: lexuniv.cmi 
loadall.cmo: demo.cmo 
loadall.cmx: demo.cmx 
prop.cmo: prop.cmi 
prop.cmx: prop.cmi
