=== examples/doctor/Makefile ===
# Makefile generated by imake - do not edit!
# $XConsortium: imake.c,v 1.91 95/01/12 16:15:47 kaleb Exp $

LIBDIR=/usr/local/lib/ocaml/
CAMLC=ocamlc
CAMLCOPT=ocamlopt
COMPFLAGS=-g
COMPFLAGSOPT=
CAMLLIBR=ocamllibr
CAMLLEX=ocamllex
CAMLYACC=ocamlyacc
CAMLDEP=ocamldep
CPP=/lib/cpp -P
RM=rm -f
CP=cp -p -f
TOP=../.
CONFIG=$(TOP)/config

all::

# (begin Imakefile)

all::doctor

doctor: doctor.cmo
	$(CAMLC) $(LINKFLAGS)  doctor.cmo -o doctor

clean::
	$(RM) doctor

opt::doctor.opt

doctor.opt: doctor.cmx
	$(CAMLCOPT) $(LINKFLAGSOPT)  doctor.cmx -o doctor.opt
	$(CP) doctor.opt doctor

clean::
	$(RM) doctor

# (end Imakefile)

clean::
	$(RM) *.cmi *.cmix *.cmo *.cmx *.o *~ *.opt #*#

beforedepend::

makefile: beforedepend
	imake -I$(CONFIG) -DTOPDIR=$(TOP)
	$(CAMLDEP) *.mli *.ml >> Makefile

makefiles:: makefile

.SUFFIXES: .mli .cmi .ml .cmo .cmx

.mli.cmi:
	$(CAMLC) $(COMPFLAGS) -c $<

.ml.cmo:
	$(CAMLC) $(COMPFLAGS) -c $<

.ml.cmx:
	$(CAMLCOPT) $(COMPFLAGSOPT) -c $<

# Generated dependencies below
