=== examples/grep/Makefile ===
# Makefile generated by imake - do not edit!
# $XConsortium: imake.c,v 1.91 95/01/12 16:15:47 kaleb Exp $

LIBDIR=/usr/local/lib/ocaml/
CAMLC=ocamlc
CAMLCOPT=ocamlopt
COMPFLAGS=-g -pp camlp4o
COMPFLAGSOPT=-pp camlp4o
CAMLLIBR=ocamllibr
CAMLLEX=ocamllex
CAMLYACC=ocamlyacc
CAMLDEP=ocamldep
CPP=/lib/cpp -P
RM=rm -f
CP=cp -p -f
TOP=../.
CONFIG=$(TOP)/config

all::

# (begin Imakefile)

all::grep

grep: expr.cmo auto.cmo ensent.cmo determ.cmo grep.cmo
	$(CAMLC) $(LINKFLAGS)  expr.cmo auto.cmo ensent.cmo determ.cmo grep.cmo -o grep

clean::
	$(RM) grep

opt::fastgrep.opt

fastgrep.opt: expr.cmx auto.cmx ensent.cmx determ.cmx grep.cmx
	$(CAMLCOPT) $(LINKFLAGSOPT)  expr.cmx auto.cmx ensent.cmx determ.cmx grep.cmx -o fastgrep.opt
	$(CP) fastgrep.opt fastgrep

clean::
	$(RM) fastgrep

all::cfastgrep

cfastgrep: expr.cmo auto.cmo ensent.cmo determ.cmo fastgrep.cmo fastrec.o
	$(CAMLC) $(LINKFLAGS) -custom  expr.cmo auto.cmo ensent.cmo determ.cmo fastgrep.cmo fastrec.o -o cfastgrep

clean::
	$(RM) cfastgrep

fastrec.o: fastrec.c
	$(CAMLC) -c -I $(LIBDIR)/caml fastrec.c

clean::
	rm -f fastrec.o

# (end Imakefile)

clean::
	$(RM) *.cmi *.cmix *.cmo *.cmx *.o *~ *.opt #*#

beforedepend::

makefile: beforedepend
	imake -I$(CONFIG) -DTOPDIR=$(TOP)
	$(CAMLDEP) *.mli *.ml >> Makefile

makefiles:: makefile

.SUFFIXES: .mli .cmi .ml .cmo .cmx

.mli.cmi:
	$(CAMLC) $(COMPFLAGS) -c $<

.ml.cmo:
	$(CAMLC) $(COMPFLAGS) -c $<

.ml.cmx:
	$(CAMLCOPT) $(COMPFLAGSOPT) -c $<

# Generated dependencies below

auto.cmi: expr.cmi 
determ.cmi: auto.cmi 
fastrec.cmi: determ.cmi 
auto.cmo: expr.cmi auto.cmi 
auto.cmx: expr.cmx auto.cmi 
determ.cmo: auto.cmi ensent.cmi determ.cmi 
determ.cmx: auto.cmx ensent.cmx determ.cmi 
ensent.cmo: ensent.cmi 
ensent.cmx: ensent.cmi 
expr.cmo: expr.cmi 
expr.cmx: expr.cmi 
fastgrep.cmo: auto.cmi determ.cmi expr.cmi fastrec.cmi 
fastgrep.cmx: auto.cmx determ.cmx expr.cmx fastrec.cmi 
grep.cmo: auto.cmi determ.cmi expr.cmi 
grep.cmx: auto.cmx determ.cmx expr.cmx 
loadall.cmo: auto.cmi determ.cmi ensent.cmi expr.cmi grep.cmo 
loadall.cmx: auto.cmx determ.cmx ensent.cmx expr.cmx grep.cmx
