## ocaml-doc 2.04-2

=== debian/changelog ===
ocaml-doc (2.04-2) frozen unstable; urgency=low

  * frozen upload.
  * fixed some lintian warnings.

 -- Sven LUTHER <luther@debian.org>  Fri,  4 Feb 2000 16:54:36 +0100

ocaml-doc (2.04-1) unstable; urgency=low

  * Fix bug #53521.
  * New upstream release.

 -- Sven LUTHER <luther@debian.org>  Wed, 26 Jan 2000 15:14:04 +0100

ocaml-doc (2.03-1) unstable; urgency=low

  * New upstream release.
  * ocaml license change, can go in main now.

 -- Sven LUTHER <luther@debian.org>  Mon, 22 Nov 1999 16:44:03 +0100

ocaml-doc (2.02-2) unstable; urgency=low

  * Changed architecture from any to all, as should be.

 -- Sven LUTHER <luther@debian.org>  Mon, 18 Oct 1999 18:24:45 +0200

ocaml-doc (2.02-1) unstable; urgency=low

  * Initial Release.

 -- Sven LUTHER <luther@debian.org>  Sat,  9 Oct 1999 13:24:05 +0200

Local variables:
mode: debian-changelog
End:
