=== debian/control ===
Source: ocaml-doc
Section: doc
Priority: optional
Maintainer: Sven LUTHER <luther@debian.org>
Standards-Version: 2.5.1

Package: ocaml-doc
Architecture: all
Depends: ${shlibs:Depends}
Description: Documentation for Objective Caml
 This package contains documentation for Objective Caml
 in html, info, dvi, pdf ans ps format.
