## ocaml-doc 3.04-4

=== debian/changelog ===
ocaml-doc (3.04-4) unstable; urgency=low

  * New debian maintainer
  * Split doc-base file
  * Move to non-free
  * Change the copyright file to the copyright of the documentation
  * remove FAQs (their license prohibit their redistribution)
  * corrected the examples

 -- Vanicat Rmi <vanicat@labri.fr>  Tue,  5 Feb 2002 10:51:43 +0100

ocaml-doc (3.04-3) unstable; urgency=low

  * Fixed bad doc-base entry for examples.html. (Closes:#132410)

 -- Sven Luther <luther@debian.org>  Tue,  5 Feb 2002 10:51:43 +0100

ocaml-doc (3.04-2) unstable; urgency=low

  * Moved documentation to /usr/share/doc/ocaml
  * Added camlp4 documentation. (Closes:#128405)
  * Added a symlink from /usr/share/doc/ocaml-doc/docs to
    /usr/share/doc/ocaml/docs.
  * Added ocaml example programs.
  * Added ocaml faq.

 -- Sven Luther <luther@debian.org>  Mon,  4 Feb 2002 11:07:04 +0100

ocaml-doc (3.04-1) unstable; urgency=low

  * New upstream release of ocaml.

 -- Sven Luther <luther@debian.org>  Thu, 20 Dec 2001 09:56:26 +0100

ocaml-doc (3.02-1) unstable; urgency=low

  * New upstream release of ocaml.

 -- Sven Luther <luther@debian.org>  Mon, 30 Jul 2001 19:04:20 +0200

ocaml-doc (3.01a-2) unstable; urgency=low

  * Changed the doc-base stuff to say 3.01 instead of 3.00.

 -- Sven Luther <luther@debian.org>  Wed, 18 Apr 2001 17:29:54 +0200

ocaml-doc (3.01a-1) unstable; urgency=low

  * Added the enhanced documentation from Hendrik Tews.

 -- Sven Luther <luther@debian.org>  Thu, 15 Mar 2001 11:27:03 +0100

ocaml-doc (3.01-1) unstable; urgency=low

  * New upstream release.

 -- Sven Luther <luther@debian.org>  Thu, 15 Mar 2001 10:27:03 +0100

ocaml-doc (3.00-2) unstable; urgency=low

  * Added doc-base stuff. CLOSES:BUG#66768
  * Upgraded latest Standards-Version.

 -- Sven Luther <luther@debian.org>  Tue, 16 Jan 2001 14:20:52 +0100

ocaml-doc (3.00-1) unstable; urgency=low

  * New upstream release.

 -- Sven Luther <luther@debian.org>  Thu, 27 Apr 2000 17:06:22 +0200

ocaml3-doc (2.99-1) unstable; urgency=low

  * New upstream release. This is the doc for the beta version of ocaml.

 -- Sven Luther <luther@debian.org>  Mon,  6 Mar 2000 13:58:31 +0100
