=== debian/control ===
Source: ocaml-doc
Section: non-free/doc
Priority: optional
Maintainer: Vanicat Rmi <vanicat@labri.fr>
Build-Depends: debhelper (>> 3.0.0)
Standards-Version: 3.5.2

Package: ocaml-doc
Architecture: all
Suggests: ocaml
Description: Documentation for Objective Caml and Camlp4
 This package contains documentation for Objective Caml
 in html, info, dvi, pdf, ps and plain text format as well as
 documentation and a tutorial for Camlp4 in html, dvi and ps format.
